
#ifndef MW_SESSION_MANAGER_I_H
#define MW_SESSION_MANAGER_I_H

#include <Glacier2/Glacier2.h>
#include <string>
#include <MWMap.h>

class MWSessionManagerI : public Glacier2::SessionManager
{
public:

    MWSessionManagerI(const std::shared_ptr<MWMap>&, bool trace, const std::shared_ptr<Ice::Logger>& logger);

    virtual std::shared_ptr<Glacier2::SessionPrx> create(std::string,
                                                         std::shared_ptr<Glacier2::SessionControlPrx>,
                                                         const Ice::Current&) override;
private:

    const std::shared_ptr<MWMap> _MWMap;
    const bool _trace;
    const std::shared_ptr<Ice::Logger> _logger;
};

#endif
