# Magic World Server 

### Install ZeroC Ice on Ubuntu 16.04
```
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv B6391CB2CFBA643D
sudo apt-add-repository "deb http://zeroc.com/download/Ice/3.7/ubuntu16.04 stable main"
sudo apt-get update
```

Install Ice for C++, Java, Python, PHP, and all Ice services
```
sudo apt-get install zeroc-ice-all-runtime zeroc-ice-all-dev
```

Install Freeze for C++
```
sudo apt-get install libzeroc-freeze-dev zeroc-freeze-utils
```

### Generate headers
```
slice2cpp Printer.ice
```

### Compile 
```
c++ -std=c++11 -pthread -I. -DICE_CPP11_MAPPING -c Printer.cpp Server.cpp
```

### Link
```
c++ -pthread -o server Printer.o Server.o -lIce++11
```

# Develpment
## TODO
   - User Object
   - ...